ru.bitel.oss.systems.inventory.resource.server

## Class DeviceManagerAdapter

- java.lang.Object
- - ru.bitel.oss.systems.inventory.resource.server.DeviceManagerAdapter

- All Implemented Interfaces:
    DeviceManager

      public abstract class DeviceManagerAdapter
      extends java.lang.Object
      implements DeviceManager

  Реализация-заглушка для `DeviceManager`, т.е. реализованы методы интерфейса `DeviceManager`, которые ничего не делают.
  Author:
    amir
  See Also:
    `DeviceManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceManagerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `connect()` Подключение к устройству.
    `java.lang.Object` | `destroy()` Утилизация обработчика.
    `java.lang.Object` | `disconnect()` Отключение от устройства.
    `java.lang.Object` | `init(Setup setup, int moduleId, Device<?,?> device, DeviceType deviceType, ParameterMap config)` Инициализация обработчика.
    `java.lang.Object` | `uptime()` Получение update с устройства.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceManagerAdapter

          public DeviceManagerAdapter()

  - ### Method Detail

    - #### init

          public java.lang.Object init(Setup setup,
                                       int moduleId,
                                       Device<?,?> device,
                                       DeviceType deviceType,
                                       ParameterMap config)
                                throws java.lang.Exception

      Инициализация обработчика. Вызывается после создания объекта.
      Specified by:
        `init` in interface `DeviceManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### destroy

          public java.lang.Object destroy()
                                   throws java.lang.Exception

      Утилизация обработчика. Вызывается перед уничтожением объекта.
      Specified by:
        `destroy` in interface `DeviceManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### connect

          public java.lang.Object connect()
                                   throws java.lang.Exception

      Подключение к устройству.
      Specified by:
        `connect` in interface `DeviceManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### disconnect

          public java.lang.Object disconnect()
                                      throws java.lang.Exception

      Отключение от устройства.
      Specified by:
        `disconnect` in interface `DeviceManager`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### uptime

          public java.lang.Object uptime()
                                  throws java.lang.Exception

      Получение update с устройства. Может использоваться для обнаружения перезагрузки устройства или его недоступности.
      Specified by:
        `uptime` in interface `DeviceManager`
      Returns:
      Throws:
        `java.lang.Exception`